### R code from vignette source 'CMLC_SimpleExample.Rnw'

###################################################
### code chunk number 1: CMLC_SimpleExample.Rnw:30-51
###################################################
layer1 = matrix(
c(0,1,1,0,0,
  1,0,1,1,0,
  1,1,0,0,0,
  0,1,0,0,1,
  0,0,0,1,0),
nrow=5, byrow=TRUE)
layer2 = matrix(
c(0,1,1,0,0,
  1,0,0,0,0,
  1,0,0,1,1,
  0,0,1,0,1,
  0,0,1,1,0),
nrow=5, byrow=TRUE)
layer3 = matrix(
c(0,1,1,1,0,
  1,0,0,1,0,
  1,0,0,0,1,
  1,1,0,0,1,
  0,0,1,1,0),
nrow=5, byrow=TRUE)


###################################################
### code chunk number 2: CMLC_SimpleExample.Rnw:55-56
###################################################
X = list(layer1, layer2, layer3)


###################################################
### code chunk number 3: CMLC_SimpleExample.Rnw:62-63
###################################################
library(CMLC)


###################################################
### code chunk number 4: CMLC_SimpleExample.Rnw:69-77
###################################################
cmlc.out = constrainedMultiplePowerIteration(X, A=diag(c(1,1,1)))
cmlc.out$num.iter
cmlc.out$V1[,1]
abs(eigen(layer1)$vectors[,1])
cmlc.out$V1[,2]
abs(eigen(layer2)$vectors[,1])
cmlc.out$V1[,3]
abs(eigen(layer3)$vectors[,1])


###################################################
### code chunk number 5: CMLC_SimpleExample.Rnw:85-90
###################################################
A = matrix(
c(1,0,0,
   1,0,0,
   0,1,0),
nrow=3, byrow=TRUE)


###################################################
### code chunk number 6: CMLC_SimpleExample.Rnw:94-97
###################################################
cmlc.out = constrainedMultiplePowerIteration(X=X, A=A)
cmlc.out$num.iter
cmlc.out$V1


###################################################
### code chunk number 7: CMLC_SimpleExample.Rnw:106-107
###################################################
(merged.adjacency = createMergedAdjacencyMatrix(X=X, A=A))


###################################################
### code chunk number 8: CMLC_SimpleExample.Rnw:111-112
###################################################
interlayerEdgeCentrality(X=X, A=A, normalize.per.layer=TRUE)


###################################################
### code chunk number 9: CMLC_SimpleExample.Rnw:121-126
###################################################
A = matrix(
c(1,0,0,
   1,0,0,
   0,0.5,0.5),
nrow=3, byrow=TRUE) 


###################################################
### code chunk number 10: CMLC_SimpleExample.Rnw:130-133
###################################################
cmlc.out = constrainedMultiplePowerIteration(X, A=A)
cmlc.out$num.iter
cmlc.out$V1


###################################################
### code chunk number 11: CMLC_SimpleExample.Rnw:142-147
###################################################
A = matrix(
c(1,0,0,
   1,0,0,
   0,-0.2,1.2),
nrow=3, byrow=TRUE) 


###################################################
### code chunk number 12: CMLC_SimpleExample.Rnw:151-154
###################################################
cmlc.out = constrainedMultiplePowerIteration(X, A=A)
cmlc.out$num.iter
cmlc.out$V1


###################################################
### code chunk number 13: CMLC_SimpleExample.Rnw:163-168
###################################################
A = matrix(
c(0,0,1,
   1,0,0,
   0,1,0),
nrow=3, byrow=TRUE)  


###################################################
### code chunk number 14: CMLC_SimpleExample.Rnw:172-175
###################################################
cmlc.out = constrainedMultiplePowerIteration(X, A=A)
cmlc.out$num.iter
cmlc.out$V1


###################################################
### code chunk number 15: CMLC_SimpleExample.Rnw:180-182
###################################################
merged.adjacency = createMergedAdjacencyMatrix(X=X, A=A)
interlayerEdgeCentrality(X=X, A=A, normalize.per.layer=TRUE)


